not displaying points over openlayers background map
Status: Closed

Priority: Normal

Assignee:

Category:

Affected QGIS version:master Regression?: No

Operating System: windowsxp Easy fix?: No

Pull Request or Patch supplied:No Resolution: invalid

Crashes QGIS or corrupts data:No Copied to github as #: 15394

Description

Quick mention of a bug and simple work around. Reported bug ages ago and I think it comes and goes with different versions of plugin

which is regularly updated so probably a ‘work around’ is something to consider.

I have points all over the earth in wgs84 CRS, most show up with one of the openlayers maps (e.g. google earth, bing, osm) as

background,  you need to switch to the google format epsg:900913 to view the points and background together.  However the points in

New Zealand and other areas at the extremities of the map vanish, the land is shown but with the points missing.  It is totally repeatable. 

All points are shown if you remove the openlayers background map but still keep this CRS.

This only happens with the map of the whole earth taking up the screen, if you zoom in to smaller areas the points then reappear.

The work around is to add an additional layer containing the points and make the point marker invisible and make it the layer below the

layer you are interested in but above the background.  Then magically the points in the main layer all appear at whatever zoom level.

This is in windowsXP with latest nightly build of qgis and latest openlayers but has been present for at least 6 months on and off with

various versions of qgis and openlayers.

History

#1 - 2012-07-09 06:58 AM - Giovanni Manghi

- Status changed from Open to Feedback

is this better suited for a wiki page? Where is the issue? if there is one and is about the openalayers plugin then it should be filed in the proper bug tracker

(because is not a core qgis tool).

#2 - 2012-09-04 12:07 PM - Paolo Cavallini

- Target version set to Version 2.0.0

#3 - 2014-02-16 02:58 PM - Giovanni Manghi

- Resolution set to invalid

- Status changed from Feedback to Closed

closing for lack of feedback.
